# Java basics

Java fundamentals through coding exercises.

Contents of this repository are based on [Java programming course material](https://opinto-opas.haaga-helia.fi/course_unit/SWD4TA032) provided by Haaga-Helia University of Applied Sciences. The original assignments are produced by Teemu Havulinna and Jukka Juslin.

**NOTE**: Assignments and their descriptions are in Finnish for meanwhile. I have a plan to translate them to English.

## Contents

- [Basics](1_basics)

    - Description: fundamental code structuring

- [Conditionals](2_conditionals)

    - Description: conditionals in Java

- [Loops](3_loops)

    - Description: `for` and `while` loops in Java

- [Strings](4_strings)

    - Description: String operations in Java

- [Lists](5_lists)

    - Description: List operations in Java

- [Arrays](6_arrays)

    - Description: Array operations in Java

- [Methods](7_methods)

    - Description: Methods in Java

- [Lottery](8_lottery_bonus)

    - Description: Two bonus assignments

- [Command line tools](9_clitools)

    - Description: Basic day checker

- [Classes and objects](10_classes-and-objects)

    - Description: Custom classes and objects in Java

- [Object-oriented programming](11_object-oriented_programming)

    - Description: Multi-class Java programs

- [Exception](12_exception)

    - Description: Exception handling in Java

- [Files](13_files)

    - Description: File reading in Java
